#
# spec file for package perl-Module-Load (Version 0.27)
#
# packages are under the same license as the package itself.
#
# Please submit bugfixes or comments to dirk.hartmann@sitter-net.de


# norootforbuild

Name:         perl-Class-Std-Fast
Version:      0.0.8
Release:      2.0
Autoreqprov:  on
Group:        Development/Libraries/Perl
License:      Artistic-1.0
Summary:      Class::Std::Fast - faster but less secure than Class::Std
Url:          http://search.cpan.org/~acid/Class-Std-Fast-v0.0.8/
Source:       Class-Std-Fast-v%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildArch:    noarch
BuildRequires:perl-macros perl-Class-Std
Requires:     perl-Class-Std
%{perl_requires}

%description
Class::Std::Fast allows you to use the beautiful API of Class::Std in a faster way than Class::Std does.
You can get the object's ident via scalarifiyng your object.
Getting the objects ident is still possible via the ident method, but it's faster to scalarify your object.

Authors:
--------
    Andreas 'ac0v' Specht <ACID@cpan.org>
    Martin Kutter <martin.kutter@fen-net.de>

%debug_package
%prep
%setup -n Class-Std-Fast-v%{version}
# ---------------------------------------------------------------------------

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test
# ---------------------------------------------------------------------------

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc MANIFEST README

%changelog
* Thu Aug 11 2016 monex@liquid-co.de
- Initial package.
